
import BottomTab from './components/BottomTab/index'
import CheckBox from './components/CheckBox/index'
import Notify from './components/Dialog/Notify'
import HButton from './components/HButton/index'
import HContent from './components/HContent/index'
import HHeader from './components/HHeader/index'
import HView from './components/HView/index'
import ItemOption from './components/ItemOption/index'
import ListItem from './components/ListItem/ListItem'
import Scroll from './components/Scroll/index.vue'
import NumberKeyboard from './components/NumberKeyboard/index.vue'
import OptionButton from './components/ItemOption/OptionButton'
import Swipe from './components/Swipe/index'
import SwipeItem from './components/Swipe/SwipeItem'
import Item from './components/ListItem/Item'
import Spin from './components/Spin/index'
import TopTip from './components/TopTip/index'
import Stab from './components/STab/index'
import TabItem from './components/STab/tab-item'
import TabButton from './components/BottomTab/tab-button'

import ActionSheetPlugin from './components/ActionSheet/index'
import ShowPicturePlugin from './components/ShowPicture/index'
import SelectPlugin from './components/select/index'
import NotifyPlugin from './components/Dialog/plugins/index'
import HlsModalPlugin from './components/Modal/index'
import NumberKeyboardPlugin from './components/NumberKeyboard/index'
import componentInstall from './components/component'

import appStyle from '../packages/common/styles/app.core.less'

import hlsPopup from '../packages/common/scripts/hlsPopup'
import hlsUtil from '../packages/common/scripts/hlsUtil'
import { post, get } from '../packages/common/scripts/hlsHttp'
import directives from '../packages/common/scripts/directives'
import filter from '../packages/common/scripts/filter'

const version = '0.0.2'

export {
  appStyle,
  HView,
  HHeader,
  HContent,
  Scroll,
  NumberKeyboard,
  ItemOption,
  OptionButton,
  HButton,
  Swipe,
  SwipeItem,
  ListItem,
  Item,
  CheckBox,
  Spin,
  TopTip,
  Notify,
  Stab,
  TabItem,
  BottomTab,
  TabButton,
  ActionSheetPlugin,
  ShowPicturePlugin,
  SelectPlugin,
  NotifyPlugin,
  HlsModalPlugin,
  NumberKeyboardPlugin,
  version,
  componentInstall,
  hlsPopup,
  hlsUtil,
  post,
  get,
  directives,
  filter,
}
